---
title: Get Qualified Offers
slug: api-documentation/get-qualified-offers
docTags: 
createdAt: 2026-08-27T16:56:05.859Z
---

{
  "id": "YTKCr_0tNQR-eEP8_vEHY",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/finance-offers/qualified",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/finance-offers/qualified"
      }
    ],
    "name": "Get Qualified Offers",
    "description": "<p>This endpoint provides a list of offers available to a given consumer based on a set of rules.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>finance-offer.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "provider",
          "type": "string",
          "description": "The provider being used to qualify the offers.",
          "enum": [
            "Synchrony",
            "Fortiva"
          ]
        },
        {
          "kind": "required",
          "name": "card-number",
          "type": "string",
          "example": "432984343222",
          "description": "The consumer account number being qualified."
        },
        {
          "kind": "required",
          "name": "purchase-amount",
          "type": "number<float>",
          "example": 1499.99,
          "description": "The amount that the qualification is based on.",
          "format": "float",
          "minimum": 0
        },
        {
          "kind": "required",
          "name": "currency",
          "type": "string",
          "example": "USD",
          "description": "<p>The <a href=\"https://en.wikipedia.org/wiki/ISO_4217\" target=\"_blank\">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>",
          "enum": [
            "USD"
          ]
        },
        {
          "kind": "optional",
          "name": "timezoneId",
          "type": "string",
          "example": "America/Denver",
          "description": "<p>Timezone id (tz database). If not specified - tenant's default timezone is used.</p>"
        },
        {
          "kind": "optional",
          "name": "productIds",
          "type": "array",
          "description": "<p>Optional list of product ids in the cart. When supplied, the response includes:\n(a) general finance offers (those without any product association), and\n(b) product-specific finance offers associated with at least one of the supplied productIds.\nWhen omitted or empty, the endpoint returns all qualifying offers (legacy behaviour).</p>",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        },
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-relevant set of finance offers found and returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "QualifiedFinanceOffers[]",
            "schema": [],
            "modelRef": "#/components/schemas/QualifiedFinanceOffers",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "default": "QualifiedSynchronyFinanceOffer"
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string<uuid>",
                    "description": "",
                    "format": "uuid"
                  },
                  {
                    "name": "siteIds",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "provider",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/Provider",
                    "customType": "Provider",
                    "schema": []
                  },
                  {
                    "name": "providerFinanceOfferId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/ProviderFinanceOfferId",
                    "customType": "ProviderFinanceOfferId",
                    "schema": []
                  },
                  {
                    "name": "tiers",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/Tier",
                    "customType": "Tier[]",
                    "schema": []
                  },
                  {
                    "name": "sortOrder",
                    "kind": "required",
                    "type": "integer<int32>",
                    "description": "The order in which the offer appears.",
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the finance offer."
                  },
                  {
                    "name": "description",
                    "kind": "required",
                    "type": "string",
                    "description": "Description of the finance offer."
                  },
                  {
                    "name": "minimumPurchaseAmount",
                    "kind": "required",
                    "type": "number<double>",
                    "description": "Minimum purchase amount for the finance offer.",
                    "format": "double"
                  },
                  {
                    "name": "currency",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "example": "USD"
                  },
                  {
                    "name": "downPayment",
                    "kind": "optional",
                    "type": "object",
                    "description": "<p>If required, this would be the amount for a down-payment that is necessary to take advantage of this finance offer.\nThis can be represented in one of a couple of forms:</p>\n<ul>\n<li>AbsoluteDownPayment - a fixed amount.</li>\n<li>RelativeDownPayment - a percentage amount based on the ENTIRE order value (taxes, shipping, and product).</li>\n<li>DeliveryAndTaxes - this indicates that the consumer needs to pay for taxes and delivery fees as a down payment.</li>\n</ul>",
                    "modelRef": "#/components/schemas/DownPayment",
                    "customType": "DownPayment",
                    "schema": [],
                    "complexType": "oneOf",
                    "complexItems": [
                      {
                        "name": "AbsoluteDownPayment",
                        "description": "",
                        "modelRef": "#/components/schemas/AbsoluteDownPayment",
                        "schema": [
                          {
                            "name": "amount",
                            "kind": "required",
                            "type": "number",
                            "description": "",
                            "example": 500
                          }
                        ]
                      },
                      {
                        "name": "RelativeDownPayment",
                        "description": "",
                        "modelRef": "#/components/schemas/RelativeDownPayment",
                        "schema": [
                          {
                            "name": "percent",
                            "kind": "required",
                            "type": "number<double>",
                            "description": "",
                            "example": 0.2,
                            "format": "double",
                            "minimum": 0,
                            "maximum": 1
                          }
                        ]
                      },
                      {
                        "name": "DeliveryAndTaxes",
                        "description": "",
                        "modelRef": "#/components/schemas/DeliveryAndTaxes",
                        "schema": [
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "",
                            "default": "DeliveryAndTaxes"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "termsAndConditions",
                    "kind": "optional",
                    "type": "string",
                    "description": "Terms and conditions for the finance offer."
                  },
                  {
                    "name": "promotionalPeriodMonths",
                    "kind": "required",
                    "type": "integer<int32>",
                    "description": "Promotional period in months.",
                    "format": "int32"
                  },
                  {
                    "name": "financeOfferType",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/FinanceOfferType",
                    "customType": "FinanceOfferType",
                    "schema": []
                  },
                  {
                    "name": "productBasedOffer",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>True when this offer is included in the response because of a product association\n(i.e. it is a product-specific offer that matched at least one of the supplied productIds).\nFalse for general offers and for any response produced when productIds was not supplied.</p>",
                    "default": false
                  }
                ],
                "modelRef": "#/components/schemas/QualifiedSynchronyFinanceOffer",
                "customType": "QualifiedSynchronyFinanceOffer"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "default": "QualifiedFortivaFinanceOffer"
                  },
                  {
                    "name": "siteIds",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "provider",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/Provider",
                    "customType": "Provider",
                    "schema": []
                  },
                  {
                    "name": "providerFinanceOfferId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/ProviderFinanceOfferId",
                    "customType": "ProviderFinanceOfferId",
                    "schema": []
                  },
                  {
                    "name": "sortOrder",
                    "kind": "required",
                    "type": "integer<int32>",
                    "description": "The order in which the offer appears.",
                    "format": "int32"
                  },
                  {
                    "name": "minimumPurchaseAmount",
                    "kind": "required",
                    "type": "number<double>",
                    "description": "Minimum purchase amount for the finance offer.",
                    "format": "double"
                  },
                  {
                    "name": "currency",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "example": "USD"
                  },
                  {
                    "name": "downPayment",
                    "kind": "optional",
                    "type": "object",
                    "nullable": true,
                    "description": "<p>If required, this would be the amount for a down-payment that is necessary to take advantage of this finance offer.\nThis can be represented in one of a couple of forms:</p>\n<ul>\n<li>AbsoluteDownPayment - a fixed amount.</li>\n<li>RelativeDownPayment - a percentage amount based on the ENTIRE order value (taxes, shipping, and product).</li>\n<li>DeliveryAndTaxes - this indicates that the consumer needs to pay for taxes and delivery fees as a down payment.</li>\n</ul>",
                    "modelRef": "#/components/schemas/DownPayment",
                    "customType": "DownPayment",
                    "schema": [],
                    "complexType": "oneOf",
                    "complexItems": [
                      {
                        "name": "AbsoluteDownPayment",
                        "description": "",
                        "modelRef": "#/components/schemas/AbsoluteDownPayment",
                        "schema": [
                          {
                            "name": "amount",
                            "kind": "required",
                            "type": "number",
                            "description": "",
                            "example": 500
                          }
                        ]
                      },
                      {
                        "name": "RelativeDownPayment",
                        "description": "",
                        "modelRef": "#/components/schemas/RelativeDownPayment",
                        "schema": [
                          {
                            "name": "percent",
                            "kind": "required",
                            "type": "number<double>",
                            "description": "",
                            "example": 0.2,
                            "format": "double",
                            "minimum": 0,
                            "maximum": 1
                          }
                        ]
                      },
                      {
                        "name": "DeliveryAndTaxes",
                        "description": "",
                        "modelRef": "#/components/schemas/DeliveryAndTaxes",
                        "schema": [
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "",
                            "default": "DeliveryAndTaxes"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "promotionalPeriodMonths",
                    "kind": "required",
                    "type": "integer<int32>",
                    "description": "Promotional period in months.",
                    "format": "int32"
                  },
                  {
                    "name": "financeOfferType",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/FinanceOfferType",
                    "customType": "FinanceOfferType",
                    "schema": []
                  },
                  {
                    "name": "productBasedOffer",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>True when this offer is included in the response because of a product association.\nAlways false for Fortiva in this phase (Fortiva offers are not product-specific).</p>",
                    "default": false
                  }
                ],
                "modelRef": "#/components/schemas/QualifiedFortivaFinanceOffer",
                "customType": "QualifiedFortivaFinanceOffer"
              }
            ],
            "complexType": "oneOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "complexType": "oneOf",
                "complexItems": [],
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "W0s6BBH6YAu3ctf1CiY0M",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99&currency=USD' \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "jaEd30pRJJLWasdURc3EA",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99&currency=USD\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ozd2FziV71DSYMG7XjkGM",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99&currency=USD\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "LafVi1weeOolefsAHQplm",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99&currency=USD\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "W0s6BBH6YAu3ctf1CiY0M"
    },
    "results": {
      "languages": [
        {
          "id": "EVTARmHEES8AprUbmpni8",
          "language": "200",
          "code": "// Success-relevant set of finance offers found and returned.\n[\n  \"\"\n]"
        },
        {
          "id": "Yz9f0uapwU7NpaI2S5TRF",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": {}\n}"
        },
        {
          "id": "FlD-xSED7OZxrNibfFhgT",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "EiNnMMRuJ0HhIvoYvcYlc",
          "language": "404",
          "code": "// Not Found\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    {}\n  ]\n}"
        }
      ],
      "selectedLanguageId": "EVTARmHEES8AprUbmpni8"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}